image: quantumtinkerer/research

build and upload the contents:
  before_script:
    ## Install ssh-agent if not already installed, it is required by Docker.
    ## (change apt-get to yum if you use an RPM-based image)
    - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'

    ## Run ssh-agent (inside the build environment)
    - eval $(ssh-agent -s)

    ## Add the SSH key stored in SSH_PRIVATE_KEY variable to the agent store
    ## We're using tr to fix line endings which makes ed25519 keys work
    ## without extra base64 encoding.
    ## https://gitlab.com/gitlab-examples/ssh-private-key/issues/1#note_48526556
    - echo "$WEBSITE_UPLOAD_KEY" | tr -d '\r' | ssh-add - > /dev/null

    ## Create the SSH directory and give it the right permissions
    - mkdir -p /root/.ssh
    - chmod 700 /root/.ssh
    - ssh-keyscan tnw-tn1.tudelft.net >> /root/.ssh/known_hosts
    - chmod 644 /root/.ssh/known_hosts
    - pip install -U mkdocs mkdocs-material python-markdown-math

  script:
    # Compile lectures
    - python code/band_structures.py
    - python code/bands_2d.py
    - mkdocs build
    - "rsync -rv site/* solidstate@tnw-tn1.tudelft.net:"
  only:
    - branches@solidstate/lectures